Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.rsdn.patterns.mvc.model
Class ListModel<P>

    java.lang.Object
      ru.rsdn.patterns.behavioral.observer.Publisher<IModelSubscriber<P>>
          ru.rsdn.patterns.mvc.model.Model<java.util.Collection<Model<P>>>
              ru.rsdn.patterns.mvc.model.ListModel<P>

Type Parameters:
  `P` - свойство модели

All Implemented Interfaces:
  IModelSubscriber<P>

    public class ListModel<P>

extends Model<java.util.Collection<Model<P>>>
implements IModelSubscriber<P>

Модель списка

Constructor Summary
`ListModel()` Конструктор

Method Summary
`void` | `add(Model<P> model)` Добавить модель
`void` | `modelChanged(Model<P> model)` Событие изменения модели
`void` | `remove(Model<P> model)` Удалить модель

Methods inherited from class ru.rsdn.patterns.mvc.model.Model
`getProperty, notifySubscribers, setProperty, subscribe, toString`

Methods inherited from class ru.rsdn.patterns.behavioral.observer.Publisher
`getSubscribers, unsubscribe`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ListModel

    public ListModel()

  Конструктор

Method Detail

### add

    public void add(Model<P> model)

  Добавить модель

  Parameters:
    `model` - модель

### modelChanged

    public void modelChanged(Model<P> model)

  Description copied from interface: `IModelSubscriber`
  Событие изменения модели

  Specified by:
    `modelChanged` in interface `IModelSubscriber<P>`
  Parameters:
    `model` - модель

### remove

    public void remove(Model<P> model)

  Удалить модель

  Parameters:
    `model` - модель

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD